# $Id$
# Authority: dag

Summary: Java UML Tool
Name: plantuml
Version: 7622
Release: 1%{dist}
License: GPL
Group: Applications/File
URL: http://plantuml.sourceforge.net/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source0: http://dl.sf.net/project/plantuml/plantuml-%{version}.tar.gz
Source1: %{name}.script
Source2: %{name}.xml
Source10: example01.uml
Source11: example02.uml
Source20: PlantUML_Language_Reference_Guide.pdf
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: ant
BuildRequires: docbook-style-xsl
BuildRequires: java-devel >= 1.5
BuildRequires: jpackage-utils
BuildRequires: libxslt
BuildRequires: unzip
Requires: jpackage-utils

%description
PlantUML is a component that allows to quickly write :
 * sequence diagram,
 * use case diagram,
 * class diagram,
 * activity diagram,
 * component diagram,
 * state diagram
 * object diagram

%prep
%setup
# Replace placeholder strings:
%{__cp} %{SOURCE1} %{name}
%{__cp} %{SOURCE2} %{SOURCE10} %{SOURCE11} %{SOURCE20} .

%build
# export CLASSPATH=$(build-classpath )
%{ant} \
  -Dant.build.javac.source=1.5 \
  -Dant.build.javac.target=1.5

# Building Manpages and HTML:
DB=/usr/share/sgml/docbook/xsl-stylesheets/
xsltproc $DB/manpages/docbook.xsl %{name}.xml
xsltproc --output %{name}.html $DB/html/docbook.xsl %{name}.xml

%install
%{__rm} -rf %{buildroot}
%{__install} -d -m0755 %{buildroot}%{_javadir}
%{__install} -Dp -m0755 plantuml %{buildroot}%{_bindir}/plantuml
%{__install} -Dp -m0644 plantuml.1 %{buildroot}%{_mandir}/man1/plantuml.1

# Install jar file
cp %{name}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc example*.uml *.pdf *.html
%doc %{_mandir}/man1/plantuml.1*
%{_bindir}/plantuml
%{_javadir}/plantuml.jar
%{_javadir}/%{name}-%{version}.jar

%changelog
* Sat Feb 11 2012 Dag Wieers <dag@wieers.com> - 7622-1
- Initial package. (using DAR)
